$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.80-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.80-RC.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '173AE70A83C22D52A790A9E0A6CD9134C83F621D60B2AEABFF677F4C10A5DC51'
  checksumType = 'sha256'
  checksum64 = '173AE70A83C22D52A790A9E0A6CD9134C83F621D60B2AEABFF677F4C10A5DC51'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.17.80-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
